## puppet-module-oslo 15.4.0

=== doc/requirements.txt ===
# This is required for the docs build jobs
sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7' # BSD
sphinx!=1.6.6,!=1.6.7,!=2.1.0,>=1.6.2;python_version>='3.4' # BSD
openstackdocstheme>=1.20.0 # Apache-2.0

# This is required for the releasenotes build jobs
reno # Apache-2.0

## puppet-module-oslo 9.4.0

=== debian/changelog ===
puppet-module-oslo (9.4.0-1) unstable; urgency=medium

  * Initial release. (Closes: #840133)

 -- Thomas Goirand <zigo@debian.org>  Tue, 09 Feb 2016 17:03:15 +0800

=== debian/control ===
Source: puppet-module-oslo
Section: admin
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools,
               python-all,
               python-pbr,
               python-setuptools,
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/puppet-module-oslo.git/
Vcs-Git: https://anonscm.debian.org/git/openstack/puppet-module-oslo.git
Homepage: https://github.com/openstack/puppet-oslo

Package: puppet-module-oslo
Architecture: all
Depends: puppet-common,
         puppet-module-openstacklib,
         puppet-module-puppetlabs-inifile,
         puppet-module-puppetlabs-stdlib,
         ${misc:Depends},
Description: Puppet module for OpenStack oslo lib using components
 Puppet lets you centrally manage every important aspect of your system using a
 cross-platform specification language that manages all the separate elements
 normally aggregated in different files, like users, cron jobs, and hosts,
 along with obviously discrete elements like packages, services, and files.
 .
 This module manages the configuration of components using OpenStack Oslo.

## puppet-module-oslo 13.1.0

=== debian/changelog ===
puppet-module-oslo (13.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixed version in depends for this release.
  * Fixed team's maintainer email to use the tracker.

 -- Thomas Goirand <zigo@debian.org>  Sat, 16 Jun 2018 15:10:06 +0200

puppet-module-oslo (12.3.0-1) unstable; urgency=medium

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Correcting permissions in debian packaging files.
  * Updating standards version to 4.0.1.
  * Deprecating priority extra as per policy 4.0.1.
  * Updating standards version to 4.1.0.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Thomas Goirand ]
  * New upstream release.
  * Standards-Version: is now 4.1.3.

 -- Thomas Goirand <zigo@debian.org>  Tue, 20 Mar 2018 12:44:33 +0100

=== debian/control ===
Source: puppet-module-oslo
Section: admin
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 openstack-pkg-tools,
 python-all,
 python-pbr,
 python-setuptools,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/puppet/puppet-module-oslo
Vcs-Git: https://salsa.debian.org/openstack-team/puppet/puppet-module-oslo.git
Homepage: https://github.com/openstack/puppet-oslo

Package: puppet-module-oslo
Architecture: all
Depends:
 puppet-common,
 puppet-module-openstacklib (>= 13.1.0),
 puppet-module-puppetlabs-inifile,
 puppet-module-puppetlabs-stdlib,
 ${misc:Depends},
Description: Puppet module for OpenStack oslo lib using components
 Puppet lets you centrally manage every important aspect of your system using a
 cross-platform specification language that manages all the separate elements
 normally aggregated in different files, like users, cron jobs, and hosts,
 along with obviously discrete elements like packages, services, and files.
 .
 This module manages the configuration of components using OpenStack Oslo.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/puppet-oslo.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@

override_dh_auto_install:
	echo "Don't do anything here please"

override_dh_auto_build:
	echo "Don't do anything here please"

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/puppet-oslo/tags .*/(\d[\d\.]+)\.tar\.gz

## puppet-module-oslo 14.4.0

=== debian/changelog ===
puppet-module-oslo (14.4.0-5~bpo10+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * Add Add_an_amqp_auto_delete_param.patch.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@buster-stein.infomaniak.ch>  Mon, 17 Mar 2025 08:09:26 +0000

puppet-module-oslo (14.4.0-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * Switched build-dependencies to Python 3 (Closes: #937368).

 -- Thomas Goirand <zigo@debian.org>  Thu, 05 Sep 2019 21:22:06 +0200

puppet-module-oslo (14.4.0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 18 Jul 2019 22:08:16 +0200

puppet-module-oslo (14.4.0-2) experimental; urgency=medium

  * Also package the types folder.

 -- Thomas Goirand <zigo@debian.org>  Wed, 10 Apr 2019 12:17:23 +0200

puppet-module-oslo (14.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed version of openstacklib.

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Apr 2019 17:53:37 +0200

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 10),
  openstack-pkg-tools,
- python-all,
- python-pbr,
- python-setuptools,
-Standards-Version: 4.1.3
+ python3-all,
+ python3-pbr,
+ python3-setuptools,
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/openstack-team/puppet/puppet-module-oslo
 Vcs-Git: https://salsa.debian.org/openstack-team/puppet/puppet-module-oslo.git
 Homepage: https://github.com/openstack/puppet-oslo
@@ -19,7 +19,7 @@
 Architecture: all
 Depends:
  puppet-common,
- puppet-module-openstacklib (>= 13.1.0),
+ puppet-module-openstacklib (>= 14.4.0),
  puppet-module-puppetlabs-inifile,
  puppet-module-puppetlabs-stdlib,
  ${misc:Depends},

## puppet-module-oslo 15.4.0

=== debian/changelog ===
puppet-module-oslo (15.4.0-4~bpo10+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * Add Add_an_amqp_auto_delete_param.patch.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@buster-train.debian.net>  Mon, 17 Mar 2025 08:07:13 +0000

puppet-module-oslo (15.4.0-3) unstable; urgency=medium

  * Depends on puppet, not puppet-common.
  * debhelper-compat (= 11).

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Mar 2020 11:07:24 +0100

puppet-module-oslo (15.4.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 23 Oct 2019 00:35:23 +0200

puppet-module-oslo (15.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Oct 2019 09:41:24 +0200

puppet-module-oslo (15.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed min version depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 29 Sep 2019 00:39:12 +0200

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 10),
+ debhelper-compat (= 11),
  openstack-pkg-tools,
  python3-all,
  python3-pbr,
  python3-setuptools,
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/openstack-team/puppet/puppet-module-oslo
 Vcs-Git: https://salsa.debian.org/openstack-team/puppet/puppet-module-oslo.git
 Homepage: https://github.com/openstack/puppet-oslo
@@ -18,8 +18,8 @@
 Package: puppet-module-oslo
 Architecture: all
 Depends:
- puppet-common,
- puppet-module-openstacklib (>= 14.4.0),
+ puppet,
+ puppet-module-openstacklib (>= 15.4.0),
  puppet-module-puppetlabs-inifile,
  puppet-module-puppetlabs-stdlib,
  ${misc:Depends},

## puppet-module-oslo 16.3.0

=== debian/changelog ===
puppet-module-oslo (16.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 10 May 2020 11:26:17 +0200

puppet-module-oslo (16.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Fix puppet-module-openstacklib version in runtime depends.

 -- Thomas Goirand <zigo@debian.org>  Sat, 02 May 2020 22:21:50 +0200

puppet-module-oslo (16.2.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 26 Apr 2020 10:47:08 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  python3-all,
  python3-pbr,
  python3-setuptools,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/openstack-team/puppet/puppet-module-oslo
 Vcs-Git: https://salsa.debian.org/openstack-team/puppet/puppet-module-oslo.git
 Homepage: https://github.com/openstack/puppet-oslo
@@ -19,7 +19,7 @@
 Architecture: all
 Depends:
  puppet,
- puppet-module-openstacklib (>= 15.4.0),
+ puppet-module-openstacklib (>= 16.3.0),
  puppet-module-puppetlabs-inifile,
  puppet-module-puppetlabs-stdlib,
  ${misc:Depends},

## puppet-module-oslo 17.4.0

=== debian/changelog ===
puppet-module-oslo (17.4.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Oct 2020 16:42:32 +0200

puppet-module-oslo (17.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 01 Oct 2020 12:23:37 +0200

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
 Architecture: all
 Depends:
  puppet,
- puppet-module-openstacklib (>= 16.3.0),
+ puppet-module-openstacklib (>= 17.4.0),
  puppet-module-puppetlabs-inifile,
  puppet-module-puppetlabs-stdlib,
  ${misc:Depends},

## puppet-module-oslo 18.4.0

=== debian/changelog ===
puppet-module-oslo (18.4.0-3~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * Add Add_an_amqp_auto_delete_param.patch.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-wallaby.debian.net>  Mon, 17 Mar 2025 08:04:22 +0000

puppet-module-oslo (18.4.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 17:30:47 +0200

puppet-module-oslo (18.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 06 Apr 2021 12:29:07 +0200

puppet-module-oslo (18.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 25 Mar 2021 17:33:07 +0100

puppet-module-oslo (18.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 22 Mar 2021 16:37:04 +0100

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
 Architecture: all
 Depends:
  puppet,
- puppet-module-openstacklib (>= 17.4.0),
+ puppet-module-openstacklib (>= 18.4.0),
  puppet-module-puppetlabs-inifile,
  puppet-module-puppetlabs-stdlib,
  ${misc:Depends},

## puppet-module-oslo 19.4.0

=== debian/changelog ===
puppet-module-oslo (19.4.0-2) unstable; urgency=medium

  * Clean-up update-alternatives handling.

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Jan 2022 10:23:51 +0100

puppet-module-oslo (19.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixed depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 19 Oct 2021 09:39:03 +0200

puppet-module-oslo (19.3.0-1) unstable; urgency=medium

  * Uploading to unstable.
  * New upstream release.
  * Fixed depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Sep 2021 14:14:23 +0200

puppet-module-oslo (19.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Sep 2021 13:09:50 +0200

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
 Architecture: all
 Depends:
  puppet,
- puppet-module-openstacklib (>= 18.4.0),
+ puppet-module-openstacklib (>= 19.4.0),
  puppet-module-puppetlabs-inifile,
  puppet-module-puppetlabs-stdlib,
  ${misc:Depends},

## puppet-module-oslo 20.3.0

=== debian/changelog ===
puppet-module-oslo (20.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixed depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Apr 2022 11:58:05 +0200

puppet-module-oslo (20.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Mar 2022 14:08:47 +0100

puppet-module-oslo (20.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed depends for this release.
  * Fixed puppet-module-oslo.install.

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Mar 2022 22:46:04 +0100

=== debian/control ===
--- 
+++ 
@@ -19,8 +19,7 @@
 Architecture: all
 Depends:
  puppet,
- puppet-module-openstacklib (>= 19.4.0),
- puppet-module-puppetlabs-inifile,
+ puppet-module-openstacklib (>= 20.3.0),
  puppet-module-puppetlabs-stdlib,
  ${misc:Depends},
 Description: Puppet module for OpenStack oslo lib using components

## puppet-module-oslo 21.0.0

=== debian/changelog ===
puppet-module-oslo (21.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixed depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 20 Oct 2022 21:42:49 +0200

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
 Architecture: all
 Depends:
  puppet,
- puppet-module-openstacklib (>= 20.3.0),
+ puppet-module-openstacklib (>= 21.0.0),
  puppet-module-puppetlabs-stdlib,
  ${misc:Depends},
 Description: Puppet module for OpenStack oslo lib using components

## puppet-module-oslo 22.0.0

=== debian/changelog ===
puppet-module-oslo (22.0.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 20 Jun 2023 11:30:45 +0200

puppet-module-oslo (22.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed runtime depends versions for this release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 12 Apr 2023 09:35:33 +0200

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
 Architecture: all
 Depends:
  puppet,
- puppet-module-openstacklib (>= 21.0.0),
+ puppet-module-openstacklib (>= 22.0.0),
  puppet-module-puppetlabs-stdlib,
  ${misc:Depends},
 Description: Puppet module for OpenStack oslo lib using components

## puppet-module-oslo 23.0.0

=== debian/changelog ===
puppet-module-oslo (23.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixed versions in depends.

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Oct 2023 10:27:28 +0200

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
 Architecture: all
 Depends:
  puppet,
- puppet-module-openstacklib (>= 22.0.0),
+ puppet-module-openstacklib (>= 23.0.0),
  puppet-module-puppetlabs-stdlib,
  ${misc:Depends},
 Description: Puppet module for OpenStack oslo lib using components

## puppet-module-oslo 24.0.0

=== debian/changelog ===
puppet-module-oslo (24.0.0-3~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * Add Add_an_amqp_auto_delete_param.patch.
  * Add Add_support_for_enable_cancel_on_failover.patch.
  * Add rabbitmq_Support_queue_manager_options.patch.
  * Add Add_support_for_rabbit_stream_fanout.patch.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-caracal.infomaniak.ch>  Fri, 26 Sep 2025 10:54:27 +0000

puppet-module-oslo (24.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixed depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 30 Apr 2024 13:54:26 +0200

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
 Architecture: all
 Depends:
  puppet,
- puppet-module-openstacklib (>= 23.0.0),
+ puppet-module-openstacklib (>= 24.0.0),
  puppet-module-puppetlabs-stdlib,
  ${misc:Depends},
 Description: Puppet module for OpenStack oslo lib using components

## puppet-module-oslo 25.0.0

=== debian/changelog ===
puppet-module-oslo (25.0.0-2) unstable; urgency=medium

  * Add Add_an_amqp_auto_delete_param.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 12 Mar 2025 17:10:50 +0100

puppet-module-oslo (25.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixed depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 07 Oct 2024 16:51:15 +0200

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
 Architecture: all
 Depends:
  puppet,
- puppet-module-openstacklib (>= 24.0.0),
+ puppet-module-openstacklib (>= 25.0.0),
  puppet-module-puppetlabs-stdlib,
  ${misc:Depends},
 Description: Puppet module for OpenStack oslo lib using components

## puppet-module-oslo 27.0.0

=== debian/changelog ===
puppet-module-oslo (27.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixed depends versions for this release.
  * Removed patch applied upstream:
    - Add_an_amqp_auto_delete_param.patch

 -- Thomas Goirand <zigo@debian.org>  Tue, 28 Oct 2025 10:32:36 +0100

=== debian/control ===
--- 
+++ 
@@ -19,8 +19,8 @@
 Architecture: all
 Depends:
  puppet,
- puppet-module-openstacklib (>= 25.0.0),
- puppet-module-puppetlabs-stdlib,
+ puppet-module-openstacklib (>= 27.0.0),
+ puppet-module-puppetlabs-stdlib (>= 9.0.0),
  ${misc:Depends},
 Description: Puppet module for OpenStack oslo lib using components
  Puppet lets you centrally manage every important aspect of your system using a

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/puppet-oslo.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@

override_dh_auto_clean:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Don't do anything here please"

override_dh_auto_build:
	echo "Don't do anything here please"

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/puppet-oslo/tags .*/(\d[brc\d\.]+)\.tar\.gz
